# Uses of Class
it.tdlight.jni.TdApi.TermsOfService

## Uses of TdApi.TermsOfService in it.tdlight.jni

Fields in it.tdlight.jni declared as TdApi.TermsOfService
Modifier and Type
Field
Description
`TdApi.TermsOfService`
TdApi.AuthorizationStateWaitRegistration.`termsOfService`
Telegram terms of service.
`TdApi.TermsOfService`
TdApi.UpdateTermsOfService.`termsOfService`
The new terms of service.
Constructors in it.tdlight.jni with parameters of type TdApi.TermsOfService
Modifier
Constructor
Description
``
`AuthorizationStateWaitRegistration(TdApi.TermsOfService termsOfService)`
The user is unregistered and need to accept terms of service and enter their first name and last name to finish registration.
``
`UpdateTermsOfService(String termsOfServiceId, TdApi.TermsOfService termsOfService)`
New terms of service must be accepted by the user.